#
# spec file for package perl-MooseX-Types-Common
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MooseX-Types-Common
Version:        0.001014
Release:        1.28
#Upstream: Artistic-1.0 or GPL-1.0+
%define cpan_name MooseX-Types-Common
Summary:        Library of Commonly Used Type Constraints
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooseX-Types-Common/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(MooseX::Types)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Warnings) >= 0.005
Requires:       perl(MooseX::Types)
Requires:       perl(MooseX::Types::Moose)
%{perl_requires}

%description
A set of commonly-used type constraints that do not ship with Moose by
default.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING LICENSE README

%changelog
* Sat Jan 21 2017 coolo@suse.com
- updated to 0.001014
  see /usr/share/doc/packages/perl-MooseX-Types-Common/Changes
* Fri Jan 20 2017 coolo@suse.com
- updated to 0.001014
  see /usr/share/doc/packages/perl-MooseX-Types-Common/Changes
  0.001014  2017-01-19 02:29:46Z
  - provide inlined version of NumericCode (Gregory Oschwald, GitHub PR#4)
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.001013
  see /usr/share/doc/packages/perl-MooseX-Types-Common/Changes
  0.001013  2015-03-28 22:16:00Z
  - better fix for fully-qualified type names, made to MooseX::Types directly
  - whitespace is now permitted in the NumericCode type (Denis Ibaev)
* Sun Feb  9 2014 coolo@suse.com
- updated to 0.001012
  - fully-qualified type names like MooseX::Types::Common::String::SimpleStr
    work again (removed in 0.001011)
  - update configure_requires checking in Makefile.PL, add CONTRIBUTING file
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.001010
  - add incomplete prereq on Test::Warnings (haarg)
  - re-release with fixed compile test
  - converted to Dist::Zilla
  - SingleDigit now supports zero and negative numbers (RT#86738)
  - UpperCase and LowerCase string types now properly understand unicode
    characters (RT#84547)
  - repository moved to the github moose organization
* Wed Jun  5 2013 coolo@suse.com
- updated to 0.001008
  - Upper* and Lower* string types now accept non-alphabetic characters (Karen
    Etheridge)
* Fri Feb 24 2012 coolo@suse.com
- updated to 0.001007
  - remove Test::Exception from a test
* Wed Feb 22 2012 coolo@suse.com
- updated to 0.001006
  - fix POD per RT#75168
* Tue Feb 21 2012 coolo@suse.com
- updated to 0.001005
  - add NumericCode type, RT#74346
* Tue Feb 14 2012 coolo@suse.com
- updated to 0.001004
  - use Test::Fatal instead of Test::Exception (Justin Hunter)
  - Added {Lower,Upper}CaseSimpleStr and {Lower,Upper}CaseStr, RT #71133
* Fri Nov 18 2011 coolo@suse.com
- update to 1003
  - The positive and negative number types mistakenly accepted zero. Reported
    by Eric Brine. RT #53234.
  - Added PositiveOrZero{Int,Num} and NegativeOrZero{Int,Num} types. (Dave
    Rolsky)
* Thu Jul 21 2011 coolo@novell.com
- updated to 0.001002
  - Add Test::Exception to the test_requires (RT#54357)
  - Warning when you try to import things from MooseX::Types::Common rather
    than one of the specific String/Numeric modules in the distribution.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jan 12 2010 nine@detonation.org
- Specfile autogenerated by cpanspec 1.78.
